%define upstream_name    Data-Dump-Color
%define upstream_version 0.241

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Like Data::Dump, but with color
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump::FilterContext)
BuildRequires: perl(Data::Dump::Filtered)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Scalar::Util::LooksLikeNumber)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(subs)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module aims to be a drop-in replacement for the Data::Dump manpage. It
adds colors to dumps. It also adds various visual aids in the comments,
e.g. array/hash index, depth indicator, and so on.

For more information, see Data::Dump. This documentation explains what's
different between this module and Data::Dump.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.241.0-2.mga8
+ Revision: 1520596
- Mageia 8 Mass Rebuild

* Mon Dec 03 2018 tv <tv> 0.241.0-1.mga7
+ Revision: 1337818
- update to 0.241

* Thu Oct 18 2018 shlomif <shlomif> 0.240.0-1.mga7
+ Revision: 1322004
- imported package perl-Data-Dump-Color


* Thu Oct 18 2018 cpan2dist 0.240-1mga
- initial mageia release, generated with cpan2dist
